Retrieve a Single Asset
curl --request GET \
--url https://apis.experro.app/assets/v2/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment-id: <x-environment-id>' \
--header 'x-tenant-id: <x-tenant-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://apis.experro.app/assets/v2/{id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"x-workspace-id": "<x-workspace-id>",
"x-environment-id": "<x-environment-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-tenant-id': '<x-tenant-id>',
'x-workspace-id': '<x-workspace-id>',
'x-environment-id': '<x-environment-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://apis.experro.app/assets/v2/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "success",
"Data": {
"records": [
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_at": "2023-11-07T05:31:56Z",
"modified_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relative_path": "<string>",
"public_url": "<string>",
"alt_text": "<string>",
"caption": "<string>"
}
],
"_meta_": {
"tenant_id": "<string>",
"workspace_id": "<string>",
"limit": 123,
"total_rows": 123,
"offset": 123
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}Content Delivery APIs
Get Asset By Id
Fetch detailed metadata for one media asset by its unique ID. This allows you to access detailed information about a specific asset by providing its unique asset ID.
GET
/
assets
/
v2
/
{id}
Retrieve a Single Asset
Before calling this endpoint, make sure you’ve generated an API token and picked the correct domain. See Authentication & Base URLs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifier for the tenant. Ensures data isolation per tenant.
Workspace identifier within the tenant. Scopes resources to a specific workspace.
Unique identifier of the target environment. Used to scope the API call to a specific deployment environment.
Example:
"PRODUCTION-15a0f8c2-a5e8-4e40-ae74-cb1389d22f45-w49jkngj"
Path Parameters
Unique identifier of the asset to retrieve.
Query Parameters
Specifies the language or region for the response data
⌘I